# WEEWX-WD
  
This Weewx skin (Weewx-WD) will generate the files required drive Weather Display Live (WDL), the Steel Series gauges and the Carter Lake/Saratoga HTML templates.

**Note:** The lastest released version of Weewx-WD is v0.9.3 which can be downloaded from the [Download page](https://bitbucket.org/ozgreg/weewx-wd/downloads "Weewx-WD download page"). The installation instructions for the current Weewx-WD release can be found [here](https://bitbucket.org/ozgreg/weewx-wd/wiki/Weewx-WD%20v0.9.3%20Installation%20Instructions "Weewx-WD installation instructions") in the [Weewx-WD Wiki](https://bitbucket.org/ozgreg/weewx-wd/wiki/Home "Weewx-WD Wiki").  

**Note:** This skin will require changes to the Weewx archive and stats schemas. 

## Features
Weewx-WD produces the following files required by WDL, Steel Series gauges and Carter Lake/Saratoga HTML templates:

WDL

* WD\clientraw.txt
* WD\clientrawextra.txt
* WD\clientrawdaily.txt
* WD\clientrawhour.txt

Steel Series Gauges

* WD\customclientraw.txt

Carter Lake/Saratoga templates

* WD\testtags.php

## Limitations
Whilst Weewx-WD produces the necessary data files required by WDL, Steel Series gauges and Carter Lake/Saratoga HTML templates, these files are only updated at the end of every Weewx archive period. Live updates from LOOP data are not possible at this time. The live update aspects of the WDL, Steel Gauge and Carter Lake/Saratoga HTML templates should still work, but as the data only changes at the end of every archive period updates will only occur at the end of every archive period.

Weewx has been extended through Weewx-WD to provide most of the tags provided by Weather Display (WD); however, at this time there are a number of tags that are not yet provided and there are likely a number of tags that never will be provided. A list of these outstanding tags are included on the [Tags](https://bitbucket.org/ozgreg/weewx-wd/wiki/Tags "Tags") page in the [Weewx-WD Wiki](https://bitbucket.org/ozgreg/weewx-wd/wiki/Home) .

## Prerequisites
Due to ongoing development of Weewx, certain versions of Weewx-WD will only operate with a limited set of Weewx versions. As of v0.9.3 Weewx-WD **requires** a fully functioning installation of **Weewx version 2.6.3 or greater**. Details on the compatibility of various Weewx-WD and Weewx versions can be found in the [Weewx-WD Wiki](https://bitbucket.org/ozgreg/weewx-wd/wiki/Home "Weewx-WD Wiki").

The operation of Weewx-WD is unaffected by the database server used by Weewx, nor is it affected by the version of PHP installed or the presence or otherwise of a web server. However, in order to use the Weewx-WD generated files to drive WDL, the Steel Series gauges or the Carter Lake/Saratoga templates then these additional applications/templates must be installed and configured. The Carter Lake/Saratoga templates requires the WD plugin, a supporting icon set and a PHP GD capable web server if weather graphics such as the dashboard thermometer are to be displayed. Detailed instructions are available from the [Saratoga Weather](http://saratoga-weather.org/index.php "Saratoga Weather") site.

## Extra observations

Although Weewx has a substantial temperature measurement capability, WD provides two calculated temperature related observations, Humidex and Apparent Temperature, that Weewx does not provide. To allow aggregate statistics and graphing of these additional observations they have been captured in extraTemp1 and extraTemp2 respectively in the Weewx archive and stats databases.


Whilst Weewx records both windSpeed and windGust data separately in the archive database, the stats database records a vector type wind which is a composite of windSpeed and windGust. Consequently, Weewx cannot provide aggregate statistics on windSpeed data alone. To provide aggregate statistics on windSpeed alone, an additional field, windAv, has been added to the Weewx statistics database. WindAv records data on the windSpeed observation only. A number of other custom statistics have been added to the standard Weewx stats database to support Weewx-WD.

## File locations

Installation of Weewx-WD requires knowledge of the locations of certain portions of the Weewx installation. The following locations are used throughout this document and the installtion instructions and they refer to the locations listed in the [Weewx User's Guide](http://weewx.com/docs/usersguide.htm "Weewx User's Guide"):  

- $BIN\_ROOT (Executables)  
- $CONFIG\_ROOT (Configuration directory)  
- $SKIN\_ROOT (Skins and templates)  
- $SQLITE\_ROOT (Sqlite databases)  
- $HTML_ROOT (Web pages and images)  

## How to install this skin

**Note:** When installing Weewx-WD only download and install from the list of downloads on [this page](https://bitbucket.org/ozgreg/weewx-wd/downloads#tag-downloads "Weewx-WD download page"). Downloading and installing any other branch such as 'development' without specific instruction to do so may result in an dysfunctional installation.

The installation instructions for the current Weewx-WD release (v0.9.3) can be found [here](https://bitbucket.org/ozgreg/weewx-wd/wiki/Weewx-WD%20v0.9.3%20Installation%20Instructions) in the [Weewx-WD Wiki](https://bitbucket.org/ozgreg/weewx-wd/wiki/Home "Weewx-WD Wiki").